package cn.com.poc.agent_application.entity;

/**
 * @author alex.yao
 * @date 2025/2/28
 */
public class KnowledgeContentResult {

    private String content;

    private String knowledgeId;

    private String knowledgeName;

    private Integer kdId;
    private String documentName;
    private Double score;

    public Integer getKdId() {
        return kdId;
    }

    public void setKdId(Integer kdId) {
        this.kdId = kdId;
    }

    public String getDocumentName() {
        return documentName;
    }

    public void setDocumentName(String documentName) {
        this.documentName = documentName;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getKnowledgeId() {
        return knowledgeId;
    }

    public void setKnowledgeId(String knowledgeId) {
        this.knowledgeId = knowledgeId;
    }

    public String getKnowledgeName() {
        return knowledgeName;
    }

    public void setKnowledgeName(String knowledgeName) {
        this.knowledgeName = knowledgeName;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }
}
